<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: php4DOMNode Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>php4DOMNode Class Reference</h1><!-- doxytag: class="php4DOMNode" --><div class="dynheader">
Inheritance diagram for php4DOMNode:</div>
<div class="dynsection">
 <div class="center">
  <img src="classphp4_d_o_m_node.gif" usemap="#php4DOMNode_map" alt=""/>
  <map id="php4DOMNode_map" name="php4DOMNode_map">
<area href="classphp4_d_o_m_attr.html" alt="php4DOMAttr" shape="rect" coords="0,56,126,80"/>
<area href="classphp4_d_o_m_document.html" alt="php4DOMDocument" shape="rect" coords="136,56,262,80"/>
<area href="classphp4_d_o_m_element.html" alt="php4DOMElement" shape="rect" coords="272,56,398,80"/>
</map>
 </div>
</div>

<p><a href="classphp4_d_o_m_node-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#a26853ff50798fbf5335c532532096317">php4DOMNode</a> ($aDomNode, $aOwnerDocument)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#a73a7ec4342a5986ab79e2a7559bbe302">__get</a> ($name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#ace24f8aabb6990b18846d7a40f13776e">append_child</a> ($newnode)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#ab6b3bfe44f2bc630b0773275362b9b85">append_sibling</a> ($newnode)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#a285f2836fb1f0f198c91f401c8eb402a">attributes</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#a9806d85335e82d10e79f79f8310b9a5e">child_nodes</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#a3eb3cbfd25d2946778650f046b6e3954">children</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#a41ded0899a6b9fe6592fa755ed132822">clone_node</a> ($deep=false)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#a7538c6621a7890a4e87e49dca85db557">first_child</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#a16245d73563c0158a568881eda6788cb">get_content</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#ae4ed20d40d9bac3ea76fa3a3ea1f5f45">has_attributes</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#a9a4d8f37d4a4958d3157107ef2f206ef">has_child_nodes</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#a9b0ead276c631f3e9e0e6b0f7a802d28">insert_before</a> ($newnode, $refnode)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#aac3cf839e2f42f00e80a5a0485fba889">is_blank_node</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#ae69ea84c1bea0160b18be67de9790fb3">last_child</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#a756262c1e84afcc71f125b5a5e6bf53f">new_child</a> ($name, $content)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#a420473261674eb35b9ea2d4abae41661">next_sibling</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#a459f50b401688864e6118ef716492834">node_name</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#a92c368db888b7ea8457e63639b1362b4">node_type</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#a222f58dad036c8f409e00a0b7185af23">node_value</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#a6904a6e85bdbc098973cbb3c5bfaa859">owner_document</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#aa7a0b5946ada57b4460ee7849d991ede">parent_node</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#a6eb4da273a642f49aeb8b3fb1c34e910">prefix</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#a246f6b928834e3dd5bb814ca2216aeec">previous_sibling</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#a484de66747f598d6070ce185ed25cc98">remove_child</a> ($oldchild)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#a785b84e7f6fbd85b52e64422d4b59d22">replace_child</a> ($oldnode, $newnode)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#a170db99aa06714386918ecb4439367e9">set_content</a> ($text)</td></tr>
<tr><td colspan="2"><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#a5623b876490628db1be0db23eee5f1ed">$myDOMNode</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html#a3a87e192b076decdd90eefe1ff76b2d5">$myOwnerDocument</a></td></tr>
</table>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a73a7ec4342a5986ab79e2a7559bbe302"></a><!-- doxytag: member="php4DOMNode::__get" ref="a73a7ec4342a5986ab79e2a7559bbe302" args="($name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::__get </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>name</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ace24f8aabb6990b18846d7a40f13776e"></a><!-- doxytag: member="php4DOMNode::append_child" ref="ace24f8aabb6990b18846d7a40f13776e" args="($newnode)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::append_child </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>newnode</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ab6b3bfe44f2bc630b0773275362b9b85"></a><!-- doxytag: member="php4DOMNode::append_sibling" ref="ab6b3bfe44f2bc630b0773275362b9b85" args="($newnode)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::append_sibling </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>newnode</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a285f2836fb1f0f198c91f401c8eb402a"></a><!-- doxytag: member="php4DOMNode::attributes" ref="a285f2836fb1f0f198c91f401c8eb402a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::attributes </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a9806d85335e82d10e79f79f8310b9a5e"></a><!-- doxytag: member="php4DOMNode::child_nodes" ref="a9806d85335e82d10e79f79f8310b9a5e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::child_nodes </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a3eb3cbfd25d2946778650f046b6e3954"></a><!-- doxytag: member="php4DOMNode::children" ref="a3eb3cbfd25d2946778650f046b6e3954" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::children </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a41ded0899a6b9fe6592fa755ed132822"></a><!-- doxytag: member="php4DOMNode::clone_node" ref="a41ded0899a6b9fe6592fa755ed132822" args="($deep=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::clone_node </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>deep</em> = <code>false</code></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a7538c6621a7890a4e87e49dca85db557"></a><!-- doxytag: member="php4DOMNode::first_child" ref="a7538c6621a7890a4e87e49dca85db557" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::first_child </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a16245d73563c0158a568881eda6788cb"></a><!-- doxytag: member="php4DOMNode::get_content" ref="a16245d73563c0158a568881eda6788cb" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::get_content </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae4ed20d40d9bac3ea76fa3a3ea1f5f45"></a><!-- doxytag: member="php4DOMNode::has_attributes" ref="ae4ed20d40d9bac3ea76fa3a3ea1f5f45" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::has_attributes </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a9a4d8f37d4a4958d3157107ef2f206ef"></a><!-- doxytag: member="php4DOMNode::has_child_nodes" ref="a9a4d8f37d4a4958d3157107ef2f206ef" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::has_child_nodes </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a9b0ead276c631f3e9e0e6b0f7a802d28"></a><!-- doxytag: member="php4DOMNode::insert_before" ref="a9b0ead276c631f3e9e0e6b0f7a802d28" args="($newnode, $refnode)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::insert_before </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>newnode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>refnode</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aac3cf839e2f42f00e80a5a0485fba889"></a><!-- doxytag: member="php4DOMNode::is_blank_node" ref="aac3cf839e2f42f00e80a5a0485fba889" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::is_blank_node </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae69ea84c1bea0160b18be67de9790fb3"></a><!-- doxytag: member="php4DOMNode::last_child" ref="ae69ea84c1bea0160b18be67de9790fb3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::last_child </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a756262c1e84afcc71f125b5a5e6bf53f"></a><!-- doxytag: member="php4DOMNode::new_child" ref="a756262c1e84afcc71f125b5a5e6bf53f" args="($name, $content)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::new_child </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>content</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a420473261674eb35b9ea2d4abae41661"></a><!-- doxytag: member="php4DOMNode::next_sibling" ref="a420473261674eb35b9ea2d4abae41661" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::next_sibling </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a459f50b401688864e6118ef716492834"></a><!-- doxytag: member="php4DOMNode::node_name" ref="a459f50b401688864e6118ef716492834" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::node_name </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a92c368db888b7ea8457e63639b1362b4"></a><!-- doxytag: member="php4DOMNode::node_type" ref="a92c368db888b7ea8457e63639b1362b4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::node_type </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a222f58dad036c8f409e00a0b7185af23"></a><!-- doxytag: member="php4DOMNode::node_value" ref="a222f58dad036c8f409e00a0b7185af23" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::node_value </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a6904a6e85bdbc098973cbb3c5bfaa859"></a><!-- doxytag: member="php4DOMNode::owner_document" ref="a6904a6e85bdbc098973cbb3c5bfaa859" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::owner_document </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aa7a0b5946ada57b4460ee7849d991ede"></a><!-- doxytag: member="php4DOMNode::parent_node" ref="aa7a0b5946ada57b4460ee7849d991ede" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::parent_node </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a26853ff50798fbf5335c532532096317"></a><!-- doxytag: member="php4DOMNode::php4DOMNode" ref="a26853ff50798fbf5335c532532096317" args="($aDomNode, $aOwnerDocument)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::php4DOMNode </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>aDomNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>aOwnerDocument</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a6eb4da273a642f49aeb8b3fb1c34e910"></a><!-- doxytag: member="php4DOMNode::prefix" ref="a6eb4da273a642f49aeb8b3fb1c34e910" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::prefix </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a246f6b928834e3dd5bb814ca2216aeec"></a><!-- doxytag: member="php4DOMNode::previous_sibling" ref="a246f6b928834e3dd5bb814ca2216aeec" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::previous_sibling </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a484de66747f598d6070ce185ed25cc98"></a><!-- doxytag: member="php4DOMNode::remove_child" ref="a484de66747f598d6070ce185ed25cc98" args="($oldchild)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::remove_child </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>oldchild</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a785b84e7f6fbd85b52e64422d4b59d22"></a><!-- doxytag: member="php4DOMNode::replace_child" ref="a785b84e7f6fbd85b52e64422d4b59d22" args="($oldnode, $newnode)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::replace_child </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>oldnode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>newnode</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a170db99aa06714386918ecb4439367e9"></a><!-- doxytag: member="php4DOMNode::set_content" ref="a170db99aa06714386918ecb4439367e9" args="($text)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::set_content </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>text</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a5623b876490628db1be0db23eee5f1ed"></a><!-- doxytag: member="php4DOMNode::$myDOMNode" ref="a5623b876490628db1be0db23eee5f1ed" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::$myDOMNode</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a3a87e192b076decdd90eefe1ff76b2d5"></a><!-- doxytag: member="php4DOMNode::$myOwnerDocument" ref="a3a87e192b076decdd90eefe1ff76b2d5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMNode::$myOwnerDocument</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>D:/web/serveur/dokeos/acces_wims/phpcas/CAS/<a class="el" href="domxml-php4-php5_8php.html">domxml-php4-php5.php</a></li>
</ul>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:57 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
